## GwyLayerPath

GwyLayerPath — Data view layer for path selections

## Functions

GwyVectorLayer * | gwy_layer_path_new ()
gdouble | gwy_layer_path_get_thickness ()
void | gwy_layer_path_set_thickness ()

## Properties

double | thickness | Read / Write

## Types and Values

struct | GwyLayerPath
struct | GwyLayerPathClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer
                    ╰── GwyLayerPath

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyLayerPath allows selection a path using a sequence of points. It uses GwySelectionPath selection type.

## Functions

### gwy_layer_path_new()

    GwyVectorLayer *
    gwy_layer_path_new (void);

Creates a new path vector layer.

#### Returns

A newly created path vector layer.

### gwy_layer_path_get_thickness()

    gdouble
    gwy_layer_path_get_thickness (GwyLayerPath *layer);

Gets the size of markers denoting path thickness.

#### Parameters

layer | A path vector layer. |

#### Returns

Path thickness.

### gwy_layer_path_set_thickness()

    void
    gwy_layer_path_set_thickness (GwyLayerPath *layer,
                                  gdouble thickness);

Sets the size of markers denoting path thickness.

#### Parameters

layer | A path vector layer. |
thickness | Marker size, denoting path thickness. |

## Types and Values

### struct GwyLayerPath

    struct GwyLayerPath;

### struct GwyLayerPathClass

    struct GwyLayerPathClass {
        GwyVectorLayerClass parent_class;
    };

## Property Details

### The `“thickness”` property

      “thickness”                double

Size of markers denoting line thickness.

Owner: GwyLayerPath

Flags: Read / Write

Allowed values: [0,1024]

Default value: 0